otherStrand {tilingArray} | R Documentation

## Return the name of the opposite strand

### Description

Return the name of the opposite strand

### Usage

    otherStrand(x)

### Arguments

`x` | Character vector whose elements are "+" or "-".

### Details

This is a rather trivial convenience function.

An alternative would be to code strands with integers `-1` and `+1`, in which case the inversion would be a trivial builtin operation. However, many genomic databases and input data files use the character string / factor notation.

### Value

Character vector of same length as `x`, with strands reversed.

### Author(s)

W. Huber <huber@ebi.ac.uk>

### Examples

      otherStrand(c("+", "-"))

[Package tilingArray version 1.22.0 Index]